System.Data 2.0.0.0 System.Object To be added.

Describes the column metadata of the schema for a database table.

- Field
  System.String

  Returns the string "true" if DBNull is allowed; otherwise "false".

  Avoid setting AllowDbNull to "true" for primary key columns. A column defined as a primary key can be set to AllowDbNull, but a null value cannot be assigned to it.

  Specifies whether value DBNull is allowed.

  2.0.0.0
- Field
  System.String To be added.

  Specifies the name of the column in the schema table.

  2.0.0.0
- Field
  System.String To be added.

  Specifies the name of the schema in the schema table.

  2.0.0.0
- Field
  System.String To be added.

  Specifies the name of the table in the schema table.

  2.0.0.0
- Field
  System.String To be added.

  Specifies the name of the column in the schema table.

  2.0.0.0
- Field
  System.String To be added.

  Specifies the ordinal of the column.

  2.0.0.0
- Field
  System.String To be added.

  Specifies the size of the column.

  2.0.0.0
- Field
  System.String To be added.

  Specifies the type of data in the column.

  2.0.0.0
- Field
  System.String

  Returns the string "true" if the column is aliased; otherwise "false".

  Specifies whether this column is aliased.

  2.0.0.0
- Field
  System.String

  Returns the string "true" if the column is an expression; otherwise "false".

  Specifies whether this column is an expression.

  2.0.0.0
- Field
  System.String

  Returns the string "true" if the column is a key; otherwise "false".

  Specifies whether this column is a key for the table.

  2.0.0.0
- Field
  System.String

  The definition of long data is provider-specific. Returns the string "true" if the column contains long data; otherwise "false".

  Specifies whether this column contains long data.

  2.0.0.0
- Field
  System.String

  Returns the string "true" if a unique constraint applies to this column; otherwise "false".

  Specifies whether a unique constraint applies to this column.

  2.0.0.0
- Field
  System.String To be added.

  Specifies the non-versioned provider-specific data type of the column.

  2.0.0.0
- Field
  System.String To be added.

  Specifies the precision of the column data, if the data is numeric.

  2.0.0.0
- Field
  System.String To be added.

  Specifies the scale of the column data, if the data is numeric.

  2.0.0.0
- Field
  System.String To be added.

  Specifies the provider-specific data type of the column.

  2.0.0.0